"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.array.iterator.js");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class SimpliSafe3Accessory {
  constructor(name, id, log, debug, simplisafe, api) {
    _defineProperty(this, "services", []);

    this.id = id;
    this.log = log;
    this.debug = debug;
    this.name = name;
    this.simplisafe = simplisafe;
    this.api = api;
    this.uuid = this.api.hap.uuid.generate(id);
  }

  identify(callback) {
    if (this.debug) this.log(`Identify request for ${this.name}`);
    callback();
  }

  createAccessory() {
    let newAccessory = new this.api.platformAccessory(this.name, this.uuid);
    this.setupServices(newAccessory);
    this.setAccessory(newAccessory);
    return newAccessory;
  }

  setAccessory(accessory) {
    this.accessory = accessory;
    this.accessory.on('identify', (paired, callback) => this.identify(callback));
  }

  setupServices(accessory) {
    for (let service of this.services) {
      accessory.addService(service);
    }
  }

}

var _default = SimpliSafe3Accessory;
exports.default = _default;